Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 608648 - ACPI: Expecting a [Reference] package element, found type C; Incorrect checksum in table [SSDT]
ACPI: Expecting a [Reference] package element, found type C; Incorrect checks...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
13
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: John Feeney
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-28 07:39 EDT by Steve Chapel
Modified: 2013-01-10 03:09 EST (History)
10 users (show)

See Also:
Fixed In Version: kernel-2.6.34.8-68.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-03-08 02:24:52 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
output from acpidump command (419.88 KB, application/octet-stream)
2010-06-29 11:43 EDT, Steve Chapel
no flags Details
posted patch (1.21 KB, patch)
2010-06-30 21:17 EDT, Lin Ming
no flags Details | Diff

  None (edit)
Description Steve Chapel 2010-06-28 07:39:22 EDT
Description of problem:
When my system boots, I get this message on the console:
ACPI: Expecting a [Reference] package element, found type C

Version-Release number of selected component (if applicable):
2.6.33.5-124.fc13.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Boot system

Additional info:

dmesg reports some incorrect checksums as well as the error that is displayed on the console:

ACPI: Power Button [PWRF]
ACPI Warning: Incorrect checksum in table [SSDT] - 4E, should be DD (20091214/tb
utils-314)
ACPI: SSDT 00000000bddc87f0 00244 (v01  PmRef TP-6A    00000180 INTL 20051117)
ACPI: SSDT 00000000bddc8ad0 00765 (v01  PmRef  Cpu0Cst 00003001 INTL 20051117)
Monitor-Mwait will be used to enter C-1 state
Monitor-Mwait will be used to enter C-3 state
Marking TSC unstable due to TSC halts in idle
Switching to clocksource hpet
ACPI Warning: Incorrect checksum in table [SSDT] - 37, should be C7 (20091214/tb
utils-314)
ACPI: SSDT 00000000bddc8720 000C8 (v01  PmRef TP-6A    00000180 INTL 20051117)
ACPI: SSDT 00000000bddc8a40 00085 (v01  PmRef  Cpu1Cst 00003000 INTL 20051117)
ACPI Warning for \_TZ_.THRM._PSL: Return Package type mismatch at index 0 - foun
d Processor, expected Reference (20091214/nspredef-1040)
ACPI: Expecting a [Reference] package element, found type C
ACPI: Invalid passive threshold
thermal LNXTHERM:01: registered as thermal_zone0
ACPI: Thermal Zone [THRM] (58 C)
Non-volatile memory driver v1.3
Linux agpgart interface v0.103
agpgart-intel 0000:00:00.0: Intel GM45 Chipset

I had this problem with Fedora 11 last year also. I am not sure that these errors cause any other problems.
Comment 1 Matthew Garrett 2010-06-29 10:15:11 EDT
Can you install the pmtools package, run acpidump as root and attach the output? I suspect that these are harmless, but it'd be good to check what's going on.
Comment 2 Steve Chapel 2010-06-29 11:43:12 EDT
Created attachment 427714 [details]
output from acpidump command

acpidump also produced the following warnings on stderr:
Wrong checksum for GSCI
Wrong checksum for ATKG
Wrong checksum for GSCI!
Wrong checksum for ATKG!
Comment 3 Matthew Garrett 2010-06-29 11:47:21 EDT
Ok. What make and model of machine is this?
Comment 4 Steve Chapel 2010-06-29 12:01:04 EDT
It is a Lenovo ThinkPad SL500 laptop.
Comment 5 Matthew Garrett 2010-06-29 13:04:43 EDT
The checksum issues seem to be harmless, but the package type mismatches look like they're a genuine bug in the core ACPI parsing code. I'm working with upstream to figure out what's going on.
Comment 6 Lin Ming 2010-06-30 21:17:02 EDT
Created attachment 428143 [details]
posted patch

Hi, Steve

Would you please have a try the attached patch?
Comment 7 Matthew Garrett 2010-06-30 21:34:28 EDT
Steve, if I get a chance I can do a scratch build for you tomorrow. If not it'll be after the weekend, so in that case it may be faster for you to try a build yourself.
Comment 8 Steve Chapel 2010-07-02 21:18:55 EDT
I'm on vacation currently. I can try building myself next week, but I'll need instructions for how to do so.
Comment 9 Stefan van den Heuvel 2010-07-31 03:14:03 EDT
Hi all,

I am having exactly the same problem on a Lenovo Thinkpad SL500 with Fedora 13 x86_64 installed.
I am no developer, but if you can give me the patch with instructions how to install it (and if it fails how to roll back), I can try it out.
Comment 10 Steve Chapel 2010-08-24 14:10:40 EDT
Could someone make a build or provide instructions for making one?
Comment 11 Chuck Ebbert 2011-02-10 15:37:37 EST
A fix for this has been committed for F13 and F14.
Comment 12 Fedora Update System 2011-02-24 10:49:13 EST
kernel-2.6.34.8-68.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/kernel-2.6.34.8-68.fc13
Comment 13 Fedora Update System 2011-03-07 16:04:35 EST
kernel-2.6.34.8-68.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Steve Chapel 2011-03-08 08:19:57 EST
I can confirm that the message "Expecting a [Reference] package element" is now gone from dmesg.

On the other hand, dmesg does still report some warnings about incorrect checksums. Here is the output from dmesg involving these warnings:

ACPI: EC: EC description table is found, configuring boot EC
ACPI: Executed 1 blocks of module-level executable AML code
ACPI Warning: Incorrect checksum in table [SSDT] - 4E, should be DD (20100121/tbutils-314)
ACPI Warning: Incorrect checksum in table [ATKG] - BE, should be 73 (20100121/tbutils-314)
ACPI: SSDT 00000000bddc87f0 00244 (v01  PmRef TP-6A    00000180 INTL 20051117)
ACPI: SSDT 00000000bddc8ad0 00765 (v01  PmRef  Cpu0Cst 00003001 INTL 20051117)
ACPI Warning: Incorrect checksum in table [SSDT] - 37, should be C7 (20100121/tbutils-314)
ACPI: SSDT 00000000bddc8720 000C8 (v01  PmRef TP-6A    00000180 INTL 20051117)
ACPI: SSDT 00000000bddc8a40 00085 (v01  PmRef  Cpu1Cst 00003000 INTL 20051117)
ACPI: Interpreter enabled
ACPI: (supports S0 S3 S4 S5)
ACPI: Using IOAPIC for interrupt routing
PCI: MMCONFIG for domain 0000 [bus 00-ff] at [mem 0xe0000000-0xefffffff] (base 0xe0000000)
PCI: MMCONFIG at [mem 0xe0000000-0xefffffff] reserved in ACPI motherboard resources
ACPI: EC: GPE = 0x1b, I/O: command/status = 0x66, data = 0x62
ACPI Warning: Incorrect checksum in table [SSDT] - 4E, should be DD (20100121/tbutils-314)
ACPI: No dock devices found.
PCI: Ignoring host bridge windows from ACPI; if necessary, use "pci=use_crs" and report a bug
ACPI: PCI Root Bridge [PCI0] (0000:00)
Comment 15 Matthew Garrett 2011-03-08 08:42:16 EST
Afraid we can't do anything about the checksum errors - your BIOS is feeding us bad tables.
Comment 16 Steve Chapel 2011-04-29 10:25:30 EDT
I updated my BIOS firmware to the latest version and then restored BIOS settings to manufacturer defaults, and I still get the checksum warnings in Fedora 14. I reported the problem to Lenovo: <http://forums.lenovo.com/t5/SL-Series-ThinkPad-Laptops/BIOS-checksum-errors/td-p/424373>

Note You need to log in before you can comment on or make changes to this bug.